Page MenuHomePhabricator

Footer on special pages has no top border
Closed, ResolvedPublic0.5 Story Points

Description

Navigate to http://localhost:8888/w/index.php?title=Special:Watchlist&filter=other&watchlistview=feed&mobileaction=beta

You'll notice due to the fact there is no last modifier bar, there is no top border on the footer.

There should be right?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2016, 11:35 PM
Nirzar added a subscriber: Nirzar.Sep 27 2016, 11:37 PM

the top border should be part of the footer in the first place. so yes. the recent changes bar should not have top border.

Nirzar triaged this task as Low priority.Sep 27 2016, 11:38 PM

Change 313216 had a related patch set uploaded (by Jdlrobson):
Move border top from last modifier bar to footer container

https://gerrit.wikimedia.org/r/313216

Jdlrobson moved this task from Doing to Code Review on the Reading-Web-Sprint-82-Xpect-Rspec board.
phuedx added a subscriber: phuedx.Sep 29 2016, 9:40 AM

From my review:

This LGTM.
I tested this by visiting a number of regular article pages and a handful of special pages, i.e. Special:History and Special:Watchlist, and observed that the footer had a top border on all of them.

Change 313216 merged by jenkins-bot:
Move border top from last modifier bar to footer container

https://gerrit.wikimedia.org/r/313216

@Jdlrobson This is currently a subtask but AFAICT it's a bug. Should it have an estimate?

@phuedx @Jdlrobson estimate if it's an issue in and of itself, no estimate if it's something that occurred as part of another estimated ticket this sprint.

Jdlrobson set the point value for this task to 0.5.Sep 29 2016, 5:15 PM

@Nirzar can you sign off?

Nirzar added a comment.Oct 6 2016, 5:35 PM

Looks good!

bmansurov closed this task as Resolved.Oct 6 2016, 5:37 PM